package de.intevation.flys.artifacts.model.minfo;

import java.util.Date;

import gnu.trove.TDoubleArrayList;


public class BedDiffEpochResult
extends BedDifferencesResult
{

    protected Date start;
    protected Date end;

    public BedDiffEpochResult () {
        super();
    }

    public BedDiffEpochResult (
        TDoubleArrayList kms,
        TDoubleArrayList differences,
        TDoubleArrayList heights1,
        TDoubleArrayList heights2,
        Date start,
        Date end
    ) {
        super(kms, differences, heights1, heights2);
        this.start = start;
        this.end = end;
    }

    public Date getStart() {
        return this.start;
    }

    public Date getEnd() {
        return this.end;
    }
}
